Subject: Re: [PATCH 01/10] alpha: use libata instead of the legacy ide driver

From: Christoph Hellwig <[email-masked]>
Date: Thu, 18 Mar 2021 07:07:24 +0100

On Thu, Mar 18, 2021 at 05:54:55AM +0000, Al Viro wrote:
> On Thu, Mar 18, 2021 at 05:56:57AM +0100, Christoph Hellwig wrote:
> > Switch the alpha defconfig from the legacy ide driver to libata.
> 
> Umm...  I don't have an IDE alpha box in a usable shape (fans on
> CPU module shat themselves), and it would take a while to resurrect
> it, but I remember the joy it used to cause in some versions.
> 
> Do you have reports of libata variants of drivers actually tested on
> those?

No, I haven't.  The whole point is that we're not going to keep 40000
lines of code around despite notice for users that don't exist or
care.  If there is a regression we'll fix it, but we're not going to
make life miserable just because we can.